%define pkgver %(echo %version | tr _ -)
Name:          moc
Version:       2.5.2
Release:       1mamba
Summary:       A console audio player for LINUX/UNIX designed to be powerful and easy to use
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://moc.daper.net
Source:        https://web.archive.org/web/20191025005721/https://ftp.daper.net/pub/soft/moc/stable/moc-%{version}.tar.bz2
Patch0:        moc-2.5.2-ffmpeg4.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libbrotli-devel
BuildRequires: libcares-devel
BuildRequires: libcurl-devel
BuildRequires: libdb53-devel
BuildRequires: libfaad2-devel
BuildRequires: libflac-devel
BuildRequires: libgcc
BuildRequires: libgss-devel
BuildRequires: libid3tag-devel
BuildRequires: libidn-devel
BuildRequires: libidn2-devel
BuildRequires: libjack-devel
BuildRequires: libltdl-devel
BuildRequires: libmad-devel
BuildRequires: libmagic-devel
BuildRequires: libmodplug-devel
BuildRequires: libmusepack-devel
BuildRequires: libncurses-devel
BuildRequires: libnghttp2-devel
BuildRequires: libntlm-devel
BuildRequires: libogg-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpsl-devel
BuildRequires: librtmp-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsasl2-devel
BuildRequires: libsidplay2-devel
BuildRequires: libsndfile-devel
BuildRequires: libspeex-devel
BuildRequires: libssh2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtag-devel
BuildRequires: libunistring-devel
BuildRequires: libvorbis-devel
BuildRequires: libwavpack-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: libtag-devel >= 1.9.1

%description
MOC (music on console) is a console audio player for LINUX/UNIX designed to be powerful and easy to use.

%debug_package

%prep
%setup -q -n %{name}-%{pkgver}
%define _default_patch_fuzz 2
%patch0 -p0 -b .ffmpeg4

%build
export PKG_CONFIG_PATH='%{_libdir}/ffmpeg4/pkgconfig'

%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mocp
%dir %{_libdir}/moc/decoder_plugins
%{_libdir}/moc/decoder_plugins/libaac_decoder.so
%{_libdir}/moc/decoder_plugins/libffmpeg_decoder.so
%{_libdir}/moc/decoder_plugins/libflac_decoder.so
%{_libdir}/moc/decoder_plugins/libmodplug_decoder.so
%{_libdir}/moc/decoder_plugins/libmp3_decoder.so
%{_libdir}/moc/decoder_plugins/libmusepack_decoder.so
%{_libdir}/moc/decoder_plugins/libsidplay2_decoder.so
%{_libdir}/moc/decoder_plugins/libsndfile_decoder.so
%{_libdir}/moc/decoder_plugins/libspeex_decoder.so
%{_libdir}/moc/decoder_plugins/libvorbis_decoder.so
%{_libdir}/moc/decoder_plugins/libwavpack_decoder.so
%dir %{_docdir}/moc
%{_docdir}/moc/*
%{_mandir}/man1/mocp.1*
%dir %{_datadir}/moc
%dir %{_datadir}/moc/themes
%{_datadir}/moc/themes/*_theme
%{_datadir}/moc/themes/transparent-background
%doc AUTHORS COPYING THANKS

%changelog
* Mon Dec 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.2-1mamba
- update to 2.5.2

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-1mamba
- update to 2.5.1

* Tue Dec 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0_beta2-2mamba
- mass rebuild with libtag 1.9.1

* Sun Jul 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0_beta2-1mamba
- package created using the webbuild interface
